#ifndef REFACTORING_CUSTOMER_H
#define REFACTORING_CUSTOMER_H

#include <string>
#include <vector>
#include "Rental.h"

class Customer {
public:
    Customer();

    explicit Customer(const std::string &name);

    void addRental(const Rental &arg);

    std::string getName() const;

    std::string statement();

    std::string statementHTML();

private:
    std::string name;
    std::vector<Rental> rentals;
};


#endif //REFACTORING_CUSTOMER_H
